#include <iostream>
#include "stack.h"

using namespace std;

int main() {
	Stack s;
	try { s.top(); }
	catch (const char *msg) {
		cerr << "Ausnahme : " << msg << endl;
	}

	int i;
	try {
		for (i = 1; i < 200; i++) s.push(i);
	}
	catch (const char *msg) {
		cerr << "Ausnahme : " << msg << endl;
		cerr << "Iteration: " << i << endl;
		cerr << "top()    : " << s.top() << endl;
	}
	try {
		for (i = 1; i < 200; i++) s.pop();
	}
	catch (const char *msg) {
		cerr << "Ausnahme : " << msg << endl;
		cerr << "Iteration: " << i << endl;
	}
	return 0;
}
