#include <iostream>
using std::cerr;
using std::endl;

class StackError {
public:
  virtual void show() = 0;
};

class StackOverflow : public StackError {
public:
  void show() { cerr << "Stack voll" << endl; }
};

class StackUnderflow : public StackError {
public:
  void show() { cerr << "Stack leer" << endl; }
};

const int maxStackSize = 100;

class Stack {
protected:
  int a[maxStackSize];
  int size;
public:
  Stack();
  void push(int value);
  void pop();
  int  top();
};
