#include "stack.h"

Stack::Stack() : size(0) { 
}

void Stack::push(int value) { 
	if (size == maxStackSize) throw StackOverflow();
	a[size++] = value;
}

void Stack::pop() {
	if (size == 0) throw StackUnderflow();
	size--;
}

int Stack::top() {
	if (size == 0) throw StackUnderflow();
	return a[size-1];
}
